summaryrefslogtreecommitdiffstats
path: root/business/gnucash
diff options
context:
space:
mode:
author Vincent Batts2010-05-12 23:28:14 +0200
committer Robby Workman2010-05-12 23:28:14 +0200
commitb3a2b6e01aaba58eb991c4033f48cbb7d90530b3 (patch)
treefb1530144b587cc6de40b05d715a017a7182de7f /business/gnucash
parentd1c9f5af7c18b46b0888b01b34fd5f61ec9380ec (diff)
downloadslackbuilds-b3a2b6e01aaba58eb991c4033f48cbb7d90530b3.tar.gz
business/gnucash: Added to 12.2 repository
Diffstat (limited to 'business/gnucash')
-rw-r--r--business/gnucash/README10
-rw-r--r--business/gnucash/gnucash.SlackBuild130
-rw-r--r--business/gnucash/gnucash.info8
-rw-r--r--business/gnucash/slack-desc19
4 files changed, 167 insertions, 0 deletions
diff --git a/business/gnucash/README b/business/gnucash/README
new file mode 100644
index 0000000000..2eb658d9da
--- /dev/null
+++ b/business/gnucash/README
@@ -0,0 +1,10 @@
+GNUCash is opensource accounting software.
+
+This requires the following additional software, and it is suggested
+that you build them in this order:
+
+slib libofx ORbit2 GConf libtasn1 gnome-keyring gnome-mime-data libbonobo
+gnome-vfs gail libgnomecanvas libgnome libbonoboui libgnomeui libgnomecups
+libgnomeprint libgnomeprintui gtkhtml goffice
+
+aqbanking is optional, but it's not available at SlackBuilds.org.
diff --git a/business/gnucash/gnucash.SlackBuild b/business/gnucash/gnucash.SlackBuild
new file mode 100644
index 0000000000..19418ecfdd
--- /dev/null
+++ b/business/gnucash/gnucash.SlackBuild
@@ -0,0 +1,130 @@
+#!/bin/sh
+
+# Slackware build script for gnucash
+
+# Copyright 2008 Vincent Batts, vbatts@hashbangbash.com, http://hashbangbash.com/
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnucash
+VERSION=2.2.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-ofx \
+ --disable-aqbanking \
+ --disable-sql \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Create the gconf defaults directory
+mkdir -p $PKG/etc/gconf/gconf.xml.defaults
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog* README* TODO AUTHORS COPYING \
+ DOCUMENTERS HACKING INSTALL LICENSE NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Handle the schemas and such (hopefully) properly
+GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults"
+for RAWNAME in $(find $PKG/etc/gconf/schemas -name "*.schemas") ; do
+ SCHEMA=$(basename $RAWNAME)
+ cat << EOF >> $PKG/install/doinst.sh
+GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+chroot . gconftool-2 --makefile-install-rule /etc/gconf/schemas/$SCHEMA 1>/dev/null
+EOF
+done
+for RAWNAME in $(find $PKG/etc/gconf/schemas -name "*.entries") ; do
+ ENTRY=$(basename $RAWNAME)
+ cat << EOF >> $PKG/install/doinst.sh
+GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+chroot . gconftool-2 --direct \
+ --config-source=$GCONF_CONFIG_SOURCE \
+ --load /etc/gconf/schemas/$ENTRY 1>/dev/null
+EOF
+done
+unset GCONF_CONFIG_SOURCE
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/business/gnucash/gnucash.info b/business/gnucash/gnucash.info
new file mode 100644
index 0000000000..6dbb869739
--- /dev/null
+++ b/business/gnucash/gnucash.info
@@ -0,0 +1,8 @@
+PRGNAM="gnucash"
+VERSION="2.2.9"
+HOMEPAGE="http://www.gnucash.org/"
+DOWNLOAD="http://downloads.sourceforge.net/gnucash/gnucash-2.2.9.tar.bz2"
+MD5SUM="1d814de8673b4760045bf51b72924d04"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="rworkman"
diff --git a/business/gnucash/slack-desc b/business/gnucash/slack-desc
new file mode 100644
index 0000000000..335da033a2
--- /dev/null
+++ b/business/gnucash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnucash: gnucash (financial accounting application)
+gnucash:
+gnucash: GnuCash is personal and small-business financial-accounting software.
+gnucash:
+gnucash: Designed to be easy to use, yet powerful and flexible, GnuCash allows
+gnucash: you to track bank accounts, stocks, income and expenses. As quick and
+gnucash: intuitive to use as a checkbook register, it is based on professional
+gnucash: accounting principles to ensure balanced books and accurate reports.
+gnucash:
+gnucash: Homepage: http://gnucash.org/
+gnucash: